### Enumeration

# Vips Intent

#### Declaration

    enum Vips.Intent

#### Description [src]

The rendering intent. `VIPS_INTENT_ABSOLUTE` is best for scientific work, `VIPS_INTENT_RELATIVE` is usually best for accurate communication with other imaging libraries.

#### Members

`VIPS_INTENT_PERCEPTUAL`

  Perceptual rendering intent.

  - Value: `0`
  - Available since: 8.0
`VIPS_INTENT_RELATIVE`

  Relative colorimetric rendering intent.

  - Value: `1`
  - Available since: 8.0
`VIPS_INTENT_SATURATION`

  Saturation rendering intent.

  - Value: `2`
  - Available since: 8.0
`VIPS_INTENT_ABSOLUTE`

  Absolute colorimetric rendering intent.

  - Value: `3`
  - Available since: 8.0
`VIPS_INTENT_AUTO`

  The rendering intent that the profile suggests.

  - Value: `32`
  - Available since: 8.0